hwy::HWY_NAMESPACE::detail::KeyLane< T > Struct Template Reference

`#include <traits-inl.h>`

Inheritance diagram for hwy::HWY_NAMESPACE::detail::KeyLane< T >:

## Public Types

using | LaneType = T
using | KeyType = T

## Public Member Functions

constexpr bool | Is128 () const
constexpr size_t | LanesPerKey () const
std::string | KeyString () const

## Member Typedef Documentation

## KeyType

template<typename T >

using hwy::HWY_NAMESPACE::detail::KeyLane< T >::KeyType = T

## LaneType

template<typename T >

using hwy::HWY_NAMESPACE::detail::KeyLane< T >::LaneType = T

## Member Function Documentation

## Is128()

template<typename T >

constexpr bool hwy::HWY_NAMESPACE::detail::KeyLane< T >::Is128 | ( |  | ) | const

inline constexpr

## KeyString()

template<typename T >

std::string hwy::HWY_NAMESPACE::detail::KeyLane< T >::KeyString | ( |  | ) | const

inline

References hwy::detail::TypeName().

## LanesPerKey()

template<typename T >

constexpr size_t hwy::HWY_NAMESPACE::detail::KeyLane< T >::LanesPerKey | ( |  | ) | const

inline constexpr

The documentation for this struct was generated from the following file:

- traits-inl.h